powerlogic::PowerMeter_1_2_5::Sensors Struct Reference

Sensors. More...

`import"PowerLogicPowerMeter.idl";`

## Public Attributes

L2N_N_Avg | current
| current sensors (L1, L2, L3, N, 3P average)
L2L_Avg | voltageL2L
| line to line voltage sensors (L1-L2, L2-L3, L3-L1, 3P average)
L2N_Avg | voltageL2N
| line to neutral voltage sensors (L1-N, L2-N, L3-N, 3P average)
sensors::NumericSensor_4_0_3 | frequency
| frequency sensor
L2N_plain_total | activePower
| real power sensor (L1, L2, L3, total)
L2N_plain_total | reactivePower
| reactive power sensor (L1, L2, L3, total)
L2N_plain_total | apparentPower
| apparent power sensor (L1, L2, L3, total)
MinMaxReading | powerFactor
| power factor sensor (total)
sensors::NumericSensor_4_0_3 | activeEnergy
| real energy sensor (total)
sensors::NumericSensor_4_0_3 | reactiveEnergy
| reactive energy sensor (total)
sensors::NumericSensor_4_0_3 | apparentEnergy
| apparent energy sensor (total)
L2N | thdCurrent
| total harmonic distortion sensors for current (L1, L2, L3)
L2L | thdVoltageL2L
| total harmonic distortion sensors for voltage (L1-L2, L2-L3, L3-L1)
L2N | thdVoltageL2N
| total harmonic distortion sensors for voltage (L1-N, L2-N, L3-N)

## Detailed Description

Sensors.

The documentation for this struct was generated from the following file:

- pdu-json-rpc-api/idl/PowerLogicPowerMeter.idl